local inipath = reaper.GetResourcePath()
local  pathfull =inipath  .. "\\ini\\dj.ini"
num22 =1
num2 =0
num11, num22 = reaper.BR_Win32_GetPrivateProfileString("info", "last4", "", pathfull)
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("info", "last"..num22, "", pathfull)
osr = ""


if (tonumber(num2) ==0) then
reaper.BR_Win32_WritePrivateProfileString("info", "last" .. num22 , "9" , pathfull)
osr="9"
else
J = num2-1 
H1, H2  = tostring(J):match("([^.]+).([^.]+)")
reaper.BR_Win32_WritePrivateProfileString("info", "last" .. num22, H1, pathfull)
osr =H1
end
local inipath = reaper.GetResourcePath()
local  pathfull =inipath  .. "\\ini\\dj.ini"
finpath=""
osr=""
num11, num22 = reaper.BR_Win32_GetPrivateProfileString("info", "last3", "", pathfull)
if (tonumber(num22) >0) then
finpath= finpath .. num22  
if (tonumber( num22)  <2) then
osr= osr .. num22  .. "thousand"
else
osr= osr .. num22  .. "thousands"
end
end
num11, num22 = reaper.BR_Win32_GetPrivateProfileString("info", "last2", "", pathfull)
if (tonumber(num22) >0) or not (finpath =="") then
finpath= finpath .. num22  


if (tonumber(num22)  ==1) then
osr= osr .. num22  .. "hundret"
elseif (tonumber(num22)  >1) then
osr= osr .. num22  .. "hundrets"
end
end
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("info", "last1", "", pathfull)
num11, num22 = reaper.BR_Win32_GetPrivateProfileString(num2, "0", "", pathfull)
finpath= finpath .. num2  

if (tonumber(num2) <9) then
osr = osr ..  tonumber(num2)+1 .."0"
end
    reaper.osara_outputMessage(osr)